package com.fjhx.wms.service.stock;

import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.fjhx.wms.entity.stock.po.StockWaitDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockWaitDetailsVo;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsSelectDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsDto;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;


/**
 * <p>
 * 待出入库明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface StockWaitDetailsService extends BaseService<StockWaitDetails> {

    /**
     * 待出入库明细分页
     */
    Page<StockWaitDetailsVo> getPage(StockWaitDetailsSelectDto dto);

    /**
     * 待出入库明细明细
     */
    StockWaitDetailsVo detail(Long id);

    /**
     * 待出入库明细新增
     */
    void add(StockWaitDetailsDto stockWaitDetailsDto);
    
    void changeStockWaitStatus(StockWaitDto stockWaitDto);

    /**
     * 待出入库明细编辑
     */
    void edit(StockWaitDetailsDto stockWaitDetailsDto);

    /**
     * 待出入库明细删除
     */
    void delete(Long id);

    /**
     * 待出入库列表
     */
    List<StockWaitDetailsVo> getList(IWrapper<StockWaitDetails> wrapper);
}
